#1332 closed defect (fixed)

reopening (already open) console corrupts driver (i386, powerpc)

Reported by: strauman Owned by: Joel Sherrill
Priority: normal Milestone: 4.10
Component: bsps Version: 4.7
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The console/termios driver of the pc386 and popwerpc/shared BSPs
executes some initialization code every time the console is opened
instead of only the first time. Therefore, opening a console
which has already been opened results in some internal state
being reset which sometimes locks up the driver ('frozen output').

The attached patch moves the relevant code to the 'firstOpen' callback.

This bug has been present at least since 4.7 and is still in 4.9

Attachments (1)

console-firstOpen.diff (2.8 KB) - added by strauman on Oct 26, 2008 at 11:13:57 PM.
fix for the described problem

Download all attachments as: .zip

Change History (3)

Changed on Oct 26, 2008 at 11:13:57 PM by strauman

Attachment: console-firstOpen.diff added

fix for the described problem

comment:1 Changed on Nov 3, 2008 at 8:11:18 PM by strauman

Resolution: fixed
Status: newclosed

comment:2 Changed on Nov 10, 2009 at 1:41:56 PM by strauman

fixed on all relevant branches

Note: See TracTickets for help on using tickets.